
//[START] Inmobi Custom Javascript

var _inmobi_path = location.pathname;
if (!_inmobi_custom && _inmobi_path.match(/plugins\/video.php/g)) {
    function _inmobi_custom() {
       var paddingBottomSet = false;
       var detectionPeriod = 100;
       var isVideoLoaded = false;

       function videoLoaded(video) {
            console.log('videoLoaded: ' + isVideoLoaded )
            if(!isVideoLoaded) {
                isVideoLoaded = true;

                //immersive facebook embed;
                var width = video.videoWidth;
                var height = video.videoHeight;
                var widthFactor = 56.25;

                if (_inmobi_required_height) {
                    widthFactor = (_inmobi_required_height / _inmobi_view_width ) * 100;
                }

                console.log(width + 'x' + height)

                var videoRatio = width/height;

                var parent = video.parentNode;
                var iTags = parent.getElementsByTagName('i');
                console.log(_inmobi_required_height + ',' + _inmobi_view_width + ',' + widthFactor);
                for(var j = 0; j < iTags.length; j++) {
                    var iTag = iTags[j];
                    iTag.style.paddingBottom = 'calc(' + widthFactor + '%)';
                }
            }
       }

       function setPaddingBottom() {
            console.log('setPaddingBottom: ' + paddingBottomSet)
            if(paddingBottomSet) {
                return;
            }

            try {
                var videos = document.getElementsByTagName('VIDEO');
                for(var i = 0; i < videos.length; i++) {
                    var video = videos[i];

                    videoLoaded(video);

                    video.addEventListener( "loadedmetadata", function (e) {
                        console.log("loadedmetadata");
                        videoLoaded(this);
                    }, false );
                    paddingBottomSet = true;

                    video.addEventListener('play', function (e) {
                        console.log('play');
                        videoLoaded(this);
                    }, false);
                }
                window.setTimeout(setPaddingBottom, detectionPeriod);
            } catch (e) {
                console.log(e);
            }
       }

        window.addEventListener('load', function() {
            console.log('custom load')
            window.setTimeout(setPaddingBottom, detectionPeriod);
        });
    }

    _inmobi_custom();
}
//[END] Inmobi Custom Javascript