
//[START] Inmobi Custom Javascript

if (!_inmobi_custom ) {
    function _inmobi_custom() {

        var embedLoaded = false;
        var detectionPeriod = 100;

        function extractEmbedHeight() {
            if(embedLoaded) {
                return;
            }
            var embedElements = document.getElementsByClassName('Embed');
            if (embedElements != null && embedElements.length > 0) {
                var embedElement = embedElements[0];
                var width = embedElement.clientWidth;
                var height = embedElement.clientHeight;

                var parentHeight = glanceVideoJsInterface.getParentHeight();
                if (height > parentHeight) {
                    var aspectRatio = width / height;
                    height = parentHeight;
                    width = height * aspectRatio;
                }

                width = 0.95 * width;
                console.log('width, height :' + width + ',' + height);
                glanceVideoJsInterface.embedLoaded(width,height);
            }
            embedLoaded = true;
        }

        window.addEventListener('load', function() {
            console.log('hijack load')
            window.setTimeout(extractEmbedHeight, detectionPeriod);
        });
    }

    _inmobi_custom();
}
//[END] Inmobi Custom Javascript